<?

if(isset($_GET['del']) && $ku['status']==3)mysql_query("DELETE FROM `kolhoz_mest` WHERE `id` = '".intval($_GET['del'])."'");
echo "<div class='event'><h1><a href='?user=$ank[id]'>$au[nick]</a> / Работа</h1></div>";
echo '<div class="content"><div class="block">';
if($ank['scarecrow_time']>$time)echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a><span class='minor'> на <span>".time_left($ank['scarecrow_time']-$time)."</span></span></li>";
if($ank['time_drakon']>$time)echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='?shop=helicopter&3'>Дракон</a><span class='minor'> на <span>".time_left($ank['time_drakon']-$time)."</span></span></li>";
if($ank['id']==$ku['id'])header("Location:?mywork");

$q=mysql_query("SELECT * FROM `kolhoz_mest` WHERE `id_user` = '$ank[id]'");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
if($post['id_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_works` WHERE `id` = '$post[id_plant]'"),0)!=0)$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_works` WHERE `id` = '$post[id_plant]'"));

echo "<li><img width='48' height='48' src='".(!isset($plant)?"images/work.png":"images/works/$plant[id].png")."' alt='o' class='portrait'>";
echo "<div>";
echo "".(!isset($plant)?"<span class='title'>Работа не выбрана</span>":"<span class='title'>".hsc($plant['name'])."</span>".($post['time']>$time?"<span class='small minor'> (Конец работы через <span> ".time_left($post['time']-$time)."</span>)</span>":null)."")."";
if($ku['status']==3)echo " <a class='small minor' href='?uw=$ank[id]&del=$post[id]'>[удалить]</a>";
echo "</div>";
echo "<div style='clear:both'></div></li>";
}
echo "</ul>";
echo "</div>";
include_once 'inc/foot.php';
?>